%define major            0
%define libname          vincia
%define libnamedev       vincia-devel
%define develnamestatic  vincia-static-devel
%undefine _debugsource_packages


Name:           vincia
Version:        2.3.02
Release:        1%{?dist}
License:        GPLv2
Url:            https://vincia.hepforge.org/
Source0:        https://vincia.hepforge.org/downloads/%{name}-%{version}.tgz
Patch1:         patch-vincia-1.txt
Summary:        Pythia8 plugin
BuildRequires:  HepMC3-devel rsync gcc-gfortran gcc-c++ pythia8-devel autoconf automake libtool  subversion
Requires:       pythia8 HepMC3
Prefix: %{_prefix}

%description
The VINCIA code is a plugin to the high-energy physics event generator 
PYTHIA 8. It is based on the dipole-antenna picture of Quantum 
Chromodynamics (QCD) and focusses on describing jets and jet 
substructure with high precision. 


%package  devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.




%prep
%setup -q
%patch1 -p0

%build
%configure  --with-hepmc-libpath=/usr/%_lib   --prefix-lib=%_libdir
make %{?_smp_mflags}

%install
%make_install

%files 
%doc AUTHORS README COPYING

%files -n %{libname}
/usr/%_lib/*

%files -n %{libnamedev}
%{_includedir}/*
/usr/share/*

%changelog
* Thu May 26 2016 Andrii Verbytskyi 1.2.02
+ Initial spec file
